Malwarebytes for Home | Anti-Malware Premium | Free Trial Download

Page 1 of 2 12 LastLast
Results 1 to 10 of 11
  1. Any idea which Debian packages I need for Firearms 3.0? 
    #1
    Join Date
    Jun 2020
    Posts
    13
    Trying to setup a Firearms 3.0 server on my Linux server box. I'm running into an sdtc++6 error. Wondering if you would happen to know which Debian packages I would need to install? Been over a decade since I tried to setup an hlds server, and I'm more than a little rusty.

    The error I'm getting is as follows:

    Code:
    LoadLibrary failed on l/sh▒▒▒P▒▒▒P▒▒▒P▒▒▒P▒▒▒r▒▒▒O▒▒▒P▒▒▒O▒▒▒: l/sh▒▒▒P▒▒▒P▒▒▒P▒▒▒P▒▒▒r▒▒▒O▒▒▒P▒▒▒O▒▒▒: cannot open shared object file: No such file or directory
    Host_Error: Couldn't get DLL API from l/sh▒▒▒P▒▒▒P▒▒▒P▒▒▒P▒▒▒r▒▒▒O▒▒▒P▒▒▒O▒▒▒!
    FATAL ERROR (shutting down): Host_Error: Couldn't get DLL API from l/sh▒▒▒P▒▒▒P▒▒▒P▒▒▒P▒▒▒r▒▒▒O▒▒▒P▒▒▒O▒▒▒!
     

  2.  
    #2
    Join Date
    Jun 2020
    Posts
    13
    Ignore this post. This was a screw up...
    Last edited by Drek; 28th June 2020 at 12:50 PM.
     

  3.  
    #3
    Join Date
    Jun 2020
    Posts
    13
    Metamod-P always one of those miraculous pieces of coding that just worked, but you had no idea why it worked. I kinda think the original developer was a certified genius.
     

  4.  
    #4
    Join Date
    Nov 2001
    Location
    Dundee, Scotland
    Posts
    1,573
    https://github.com/APGRoboCop/metamod-p try my modified version.
    [APG] Clan Leader - [email protected]
     

  5.  
    #5
    Join Date
    Jun 2020
    Posts
    13
    Thanks, I'll do that.
     

  6.  
    #6
    Join Date
    Jun 2020
    Posts
    13
    Ignore my above post about metamod. That's not metamod-p and it is outdated.
     

  7.  
    #7
    Join Date
    Jun 2020
    Posts
    13
    After a week of banging my head against the wall with this I discovered that I had put "+[mapname]" instead of "+map [mapname]" in my hlds_run command line. I'm halfway between extremely annoyed and elated.

    In the meantime I created a startup script that can dynamically generate a mapcycle.txt containing only maps that are both installed and have bot waypoints for, and that randomly picks a starting map.

    It really wasn't a wasted week, I did learn, and relearn, a lot. I'm just very glad I didn't do a nuke and pave. At one point I thought the problem was that Firearms wasn't going to run on Debian bullseye, so I was considering doing a format and installing buster instead.
     

  8.  
    #8
    Join Date
    Jun 2020
    Posts
    13
    What is interesting is that Firearms 3.0 won't load on Linux if you try to load the game library directly with no mods, but it will run with the Metamod-P that Robocop has available here. So thanks Mr. Robocop.
     

  9.  
    #9
    Join Date
    Nov 2001
    Location
    Dundee, Scotland
    Posts
    1,573
    Yes well I've tested this on my Debian Dedicated Server for FA 3.0 to work. But it appears that [APG] Metamod-P39 makes CS 1.6 crash for some reason.
    [APG] Clan Leader - [email protected]
     

  10.  
    #10
    Join Date
    Jun 2020
    Posts
    13
    Mercifully neither I nor my friends have any interest in CS 1.6.
     

Page 1 of 2 12 LastLast

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
DMCA.com Protection Status

https://apg-clan.org tested by Norton Internet Security https://apg-clan.org tested by McAfee Internet Security

Flag Counter